API documentation | API docs for agents | OpenAPI 3.1

PATCH /api/v1/teams/{teamId}

ark.update_team

Updates an organization team profile and optional team address. Requires tenant-admin access and admin:write.

Availability
Expanded preview
Scopes
admin:write
ARK permissions
None
Team visibility
Not entity-scoped
Idempotency-Key
Required for this write
Approval
No MCP approval on REST API-token calls
Rate limit
API credential and organization budgets

Parameters

teamIdpathstringrequired
format: uuid
Idempotency-Keyheaderstringrequired
Required for external write operations. Reuse the same key only for exact retries of the same request body.
min length: 1; max length: 200

Request body

namestring

min length: 1; max length: 200

notesstring | null

max length: 5000

Example request

Shell
curl -X PATCH 'https://arktms.com/api/v1/teams/<teamId>' \
  -H "Authorization: Bearer $ARK_API_TOKEN" \
  -H "Idempotency-Key: <unique-key>" \
  -H "Content-Type: application/json" \
  -d '{}'

Success response

Updated team

objectstringrequired

one of: api_response

okbooleanrequired

one of: true

api_versionstringrequired

one of: 2026-05-31

request_idstringrequired
dataobjectrequired
data.messagestringrequired

Errors

HTTP 400
Invalid request
HTTP 401
Authentication required
HTTP 403
Permission, scope, team, or entitlement denied
HTTP 404
Resource not found
HTTP 409
Idempotency conflict or in-progress retry